package com.zanxiang.game.module.sdk.controller;

import com.zanxiang.game.module.sdk.pojo.param.GameRemitLogParam;
import com.zanxiang.game.module.sdk.service.IGameRemitLogService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2023-07-17
 * @description : 提现
 */
@Api(tags = "注册登录接口")
@RestController
@RequestMapping(value = "/api/remit")
public class RemitController {

    @Autowired
    private IGameRemitLogService gameRemitLogService;

    @ApiOperation(value = "游戏提现记录日志推送")
    @PostMapping("/log/push")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> addOrUpdate(@Validated @RequestBody GameRemitLogParam param) {
        return ResultVO.ok(gameRemitLogService.addOrUpdate(param));
    }
}
